Announcement Announcement Module
Collapse
No announcement yet.
STS 2.8.0 M1 and JDK 7 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • STS 2.8.0 M1 and JDK 7

    Hello,

    I have upgraded to STS 2.8.0 M1 on JDK 7.

    I am trying to use new features of JDK7 but IDE complains with syntax errors.

    Can you please help me out?

    Thanks & Regards
    SV

  • #2
    Hey!

    STS currently runs on top of Java7 and allows you to run Spring Roo on Java7, but hasn't any Java7 IDE features included yet. They will be part of the Eclipse Java tooling with Eclipse 3.7.1 (coming in September) and will therefore be part of STS 2.8.0 (scheduled for mid October).

    If you wanna already try Java7 with Eclipse, I would recommend to try a maintenance build for 3.7.x and install STS on top of that from the update sites.

    HTH,
    Martin

    Comment

    Working...
    X